Bug 473536 - After open a Excel file with OPen Office Calc I get an Ooopsss.
After open a Excel file with OPen Office Calc I get an Ooopsss.
Status: CLOSED DUPLICATE of bug 468639
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 02:12 EST by Mario Lopez
Modified: 2008-12-10 09:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 09:33:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Lopez 2008-11-29 02:12:39 EST
Description of problem:
After open a Excel file with OPen Office Calc I get an Ooopsss.

Version-Release number of selected component (if applicable):
Open Office 2.4.2

How reproducible:

Steps to Reproduce:
1. Open an Excel file
2. Try to edit file
3.
  
Actual results:
I try to open it again and did not get the error.

Expected results:

Additional info:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-8-i386
(IV)   kernel is: Linux 2.6.27.5-41.fc9.i686 #1 SMP Thu Nov 13 20:52:14 EST 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.2-18.1.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 9 (Sulphur)
(VV)   LANG is: en_US.utf8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/luks-Fedora-volRoot
                       9127064   4085232   4578192  48% /
/dev/mapper/luks-Fedora-volRoot
                       9127064   4085232   4578192  48% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x35f43e8: 0x1b4190: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x253e8
0x35f4d23: 0x1b4190: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x25d23
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x306bc2: 0x1cef8: /lib/ld-linux.so.2 + 0x12bc2
0x3024f6: 0x1cef8: /lib/ld-linux.so.2 + 0xe4f6
0x3062f2: 0x1cef8: /lib/ld-linux.so.2 + 0x122f2
0x4aac2c: 0x2ed0: /lib/libdl.so.2 + 0xc2c
0x3024f6: 0x1cef8: /lib/ld-linux.so.2 + 0xe4f6
0x4ab05c: 0x2ed0: /lib/libdl.so.2 + 0x105c
0x4aab61: 0x2ed0: /lib/libdl.so.2 + 0xb61 (dlopen + 0x41)
0x35ecf42: 0x1b4190: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x1df42
0x35ecfd1: 0x1b4190: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x1dfd1 (osl_loadModule + 0x87)
0xd675de: 0x758a0: /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x445de (cppu::loadSharedLibComponentFactory(rtl::OUString const&, rtl::OUString const&, rtl::OUString const&, com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory> const&, com::sun::star::uno::Reference<com::sun::star::registry::XRegistryKey> const&) + 0x115)
0x10c199c: 0x75c14: /usr/lib/openoffice.org/program/bootstrap.uno.so + 0x3a99c
0xd5d549: 0x758a0: /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x3a549
0xd5d9ee: 0x758a0: /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x3a9ee
0xd5c263: 0x758a0: /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x39263
0xd5c52f: 0x758a0: /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x3952f
0x10a67f2: 0x75c14: /usr/lib/openoffice.org/program/bootstrap.uno.so + 0x1f7f2
0x10a56b9: 0x75c14: /usr/lib/openoffice.org/program/bootstrap.uno.so + 0x1e6b9
0x5716719: 0x318120: /usr/lib/openoffice.org/program/libsvt680li.so + 0xf8719 (TransferableDataHelper::FillDataFlavorExVector(com::sun::star::uno::Sequence<com::sun::star::datatransfer::DataFlavor> const&, DataFlavorExVector&) + 0x77)
0x5716daf: 0x318120: /usr/lib/openoffice.org/program/libsvt680li.so + 0xf8daf (TransferableDataHelper::InitFormats() + 0x6b)
0x5717963: 0x318120: /usr/lib/openoffice.org/program/libsvt680li.so + 0xf9963 (TransferableDataHelper::TransferableDataHelper(com::sun::star::uno::Reference<com::sun::star::datatransfer::XTransferable> const&) + 0x81)
0x5718025: 0x318120: /usr/lib/openoffice.org/program/libsvt680li.so + 0xfa025 (TransferableDataHelper::CreateFromSystemClipboard(Window*) + 0x85)
0x6dbfab6: 0x791d40: /usr/lib/openoffice.org/program/libsc680li.so + 0x209ab6
0x5b02b4c: 0x2c97e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1bfb4c (SfxShell::GetSlotState(unsigned short, SfxInterface const*, SfxItemSet*) + 0xfa)
0x5af59d6: 0x2c97e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b29d6 (SfxDispatcher::QueryState(unsigned short, com::sun::star::uno::Any&) + 0x5c)
0x5b08f7c: 0x2c97e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c5f7c
0x57de3d0: 0x318120: /usr/lib/openoffice.org/program/libsvt680li.so + 0x1c03d0 (svt::ToolboxController::bindListener() + 0x4a0)
0x57de6d3: 0x318120: /usr/lib/openoffice.org/program/libsvt680li.so + 0x1c06d3 (svt::ToolboxController::update() + 0x87)
0x5d70054: 0x1daeb4: /usr/lib/openoffice.org/program/libfwk680li.so + 0x11a054
0x5d7010d: 0x1daeb4: /usr/lib/openoffice.org/program/libfwk680li.so + 0x11a10d
0x5d70179: 0x1daeb4: /usr/lib/openoffice.org/program/libfwk680li.so + 0x11a179
0x4c6d804: 0x2db124: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c804 (Timer::Timeout() + 0x18)
0x4c6dd07: 0x2db124: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9cd07 (Timer::ImplTimerCallbackProc() + 0x7b)
0x206dfe: 0x645cc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x42dfe (X11SalData::Timeout() const + 0x2a)
0x122c49: 0x3f220: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11c49
0x525566: 0xe04e8: /lib/libglib-2.0.so.0 + 0x37566
0x524e38: 0xe04e8: /lib/libglib-2.0.so.0 + 0x36e38 (g_main_context_dispatch + 0x1e8)
0x5284e3: 0xe04e8: /lib/libglib-2.0.so.0 + 0x3a4e3
0x5286a1: 0xe04e8: /lib/libglib-2.0.so.0 + 0x3a6a1 (g_main_context_iteration + 0x71)
0x122887: 0x3f220: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11887
0x20fd39: 0x645cc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4bd39 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x4c69c19: 0x2db124: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98c19 (Application::Yield(bool) + 0x57)
0x4c69c67: 0x2db124: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98c67 (Application::Execute() + 0x2b)
0x69e8961: 0x63cf0: /usr/lib/openoffice.org/program/libsoffice.so + 0x2f961 (desktop::Desktop::Main() + 0x1a4f)
0x4c6d222: 0x2db124: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c222
0x4c6d3be: 0x2db124: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c3be (SVMain() + 0x2c)
0x69dd0a1: 0x63cf0: /usr/lib/openoffice.org/program/libsoffice.so + 0x240a1 (main + 0xe5)
0x32a5d6: 0x164d7c: /lib/libc.so.6 + 0x165d6 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/scalc.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00312000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00156000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x001ec000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00209000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00226000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00230000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00273000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x002e2000)
	libdl.so.2 => /lib/libdl.so.2 (0x002e6000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x002eb000)
	librt.so.1 => /lib/librt.so.1 (0x0071c000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00726000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00744000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00785000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007c5000)
	libvclplug_gen680li.so => /usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x008a7000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x00912000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00bf4000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00cbc000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00d0a000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00d78000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so (0x00df9000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so (0x00ece000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00f26000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00f9d000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x00fca000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x00fec000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x01f72000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x06f60000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x07089000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x01824000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x01d74000)
	libm.so.6 => /lib/libm.so.6 (0x07299000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x06f1e000)
	libc.so.6 => /lib/libc.so.6 (0x02d42000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x002f0000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x06df5000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x011a6000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0735f000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x06e79000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x06db3000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x011ce000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x06e37000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x06e9a000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x011d7000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x01201000)
	libz.so.1 => /lib/libz.so.1 (0x06fe4000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x0731d000)
	/lib/ld-linux.so.2 (0x002f4000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x0371a000)
	libcap.so.2 => /lib/libcap.so.2 (0x03628000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x03654000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x01290000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x03633000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so (0x0391f000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0xb7ea6000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x03859000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3 (0x03649000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x036ee000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x012aa000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x03822000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x03612000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x012ae000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x0361d000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x037a9000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x02250000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb73cd000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb727b000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x02278000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2008-11-29 07:46:57 EST
This is quite deep in dlopen.

It only happened once right, and not again.
Comment 2 Mario Lopez 2008-12-04 02:56:27 EST
Hi..
I have been trying to reproduce, but it happened only once and not again.

Thank you.
Comment 3 Caolan McNamara 2008-12-10 09:33:07 EST
Same as rhbz#468639 but don't know what the cause is

*** This bug has been marked as a duplicate of bug 468639 ***

Note You need to log in before you can comment on or make changes to this bug.